package function.builtin.special;

import function.FunctionNames;
import function.UserDefinedFunction;
import function.UserDefinedSpecialFunction;
import sexpression.Cons;
import sexpression.SExpression;

@FunctionNames({ "DEFINE-SPECIAL" })
public class DEFINE_SPECIAL extends Define {

    public DEFINE_SPECIAL(String name) {
        super(name);
    }

    @Override
    protected UserDefinedFunction createFunction(SExpression functionName, Cons lambdaList, Cons functionBody) {
        return new UserDefinedSpecialFunction(functionName.toString(), lambdaList, functionBody);
    }

}
